%define major 8
%define gi_version 3.0
%define libname	%mklibname gnomekbd  %{major}
%define giname %mklibname gnomekbd-gir %{gi_version}
%define libnamedev %mklibname -d gnomekbd

%define url_ver %(echo %{version} | cut -d "." -f -2)


Summary:		GNOME keyboard libraries
Name:			libgnomekbd
Version:		3.26.1
Release:		%mkrel 2
Source0:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:			libgnomekbd-3.3.90-gmodule-fix.patch
License:		LGPLv2+
Group:			System/Libraries
Url:			http://www.gnome.org/
BuildRequires:		pkgconfig(gdk-3.0) >= 2.91.7
BuildRequires:		pkgconfig(gio-2.0) >= 2.18
BuildRequires:		pkgconfig(glib-2.0) >= 2.18
BuildRequires:		pkgconfig(gtk+-3.0) >= 2.90
BuildRequires:		pkgconfig(libxklavier) >= 5.1
BuildRequires:		gobject-introspection-devel >= 0.6.7
BuildRequires:		intltool

%description
GNOME keyboard indicator plugin

#--------------------------------------------------------------------

%package common
Summary:		Files used by GNOME keyboard libraries
Group:			%{group}
Conflicts:		%{name} < 2.1.90-2mdv
Conflicts:		gnome-control-center < 2.18.0
Obsoletes:		libgnomekbd < 3.4.0

%description common
Files used by GNOME keyboard library

%files common -f %name.lang
%doc NEWS ChangeLog
%{_datadir}/glib-2.0/schemas/org.gnome.libgnomekbd*.gschema.xml
%{_bindir}/gkbd-keyboard-display
%{_datadir}/GConf/gsettings/libgnomekbd.convert
%{_datadir}/applications/gkbd-keyboard-display.desktop
%{_datadir}/libgnomekbd/

#--------------------------------------------------------------------

%package -n %{libname}
Summary:		Dynamic libraries for GNOME applications
Group:			%{group}
Requires:		%{name}-common >= %{version}

%description -n %{libname}
GNOME keyboard library

%files -n %{libname}
%{_libdir}/libgnomekbd*.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{giname}
Summary:		GObject Introspection interface library for %{name}
Group:			System/Libraries
Requires:		%{libname} = %{version}-%{release}

%description -n %{giname}
GObject Introspection interface library for %{name}.

%files -n %{giname}
%{_libdir}/girepository-1.0/Gkbd-%{gi_version}.typelib

#--------------------------------------------------------------------

%package -n %{libnamedev}
Summary:		Static libraries, include files for GNOME
Group:			Development/GNOME and GTK+
Provides:		%{name}-devel = %{version}-%{release}
Requires:		%{libname} = %{version}
Requires:		%{giname} = %{version}
Obsoletes:		%mklibname -d gnomekbd 1

%description -n %{libnamedev}
Static library and headers file needed in order to develop
applications using the GNOME keyboard library

%files -n %{libnamedev}
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so 
%{_datadir}/gir-1.0/Gkbd-3.0.gir

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build

%configure  --disable-static \
		--disable-compile-warnings \
		--enable-introspection=yes
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name '*.la' -delete

%find_lang %{name}


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 3.26.1-2.mga8
+ Revision: 1522697
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Feb 06 2019 ovitters <ovitters> 3.26.1-1.mga7
+ Revision: 1363704
- new version 3.26.1

* Sun Sep 23 2018 umeabot <umeabot> 3.26.0-2.mga7
+ Revision: 1298878
- Mageia 7 Mass Rebuild
+ wally <wally>
- drop unneeded chrpath usage
+ kekepower <kekepower>
- Use new make macros

* Fri Sep 22 2017 tv <tv> 3.26.0-1.mga7
+ Revision: 1157067
- new release

* Mon Sep 26 2016 tv <tv> 3.22.0.1-2.mga6
+ Revision: 1056834
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Wed Sep 21 2016 ovitters <ovitters> 3.22.0.1-1.mga6
+ Revision: 1054898
- new version 3.22.0.1

* Mon Feb 15 2016 umeabot <umeabot> 3.6.0-9.mga6
+ Revision: 961005
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 wally <wally> 3.6.0-8.mga6
+ Revision: 849008
- rebuild to get more typelib() requires

* Mon Jun 29 2015 wally <wally> 3.6.0-7.mga6
+ Revision: 847540
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 3.6.0-6.mga5
+ Revision: 744159
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 3.6.0-5.mga5
+ Revision: 731178
- rebuild so that it picks typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 3.6.0-4.mga5
+ Revision: 681498
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.6.0-3.mga4
+ Revision: 507025
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3.6.0-2.mga3
+ Revision: 357265
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297523
- new version 3.6.0

* Sat Aug 25 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 283775
- new version 3.5.90

* Tue Jun 26 2012 ovitters <ovitters> 3.5.2-1.mga3
+ Revision: 264125
- update major
- new version 3.5.2

* Tue Mar 27 2012 ovitters <ovitters> 3.4.0.2-1.mga2
+ Revision: 227113
- drop patch1 (merged upstream)
- new version 3.4.0.2

* Mon Mar 26 2012 blino <blino> 3.4.0.1-2.mga2
+ Revision: 226605
- fix segfault at gnome-settings-daemon startup

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0.1-1.mga2
+ Revision: 226500
- drop patch1, patch reverted upstream

* Sun Mar 25 2012 ovitters <ovitters> 3.4.0-2.mga2
+ Revision: 226458
- add patch to revert upstream memleak commit; causes crashes

* Sun Mar 25 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226362
- update file list and kill+obsolete libgnomekbd subpackage
- new version 3.4.0

* Wed Feb 22 2012 wally <wally> 3.3.90-1.mga2
+ Revision: 212266
- add patch to fix linking against gmodule-2.0
+ ovitters <ovitters>
- new version

* Tue Sep 27 2011 ovitters <ovitters> 3.2.0-1.mga2
+ Revision: 149668
- new version 3.2.0

* Thu Sep 22 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 146646
- new version 3.1.92
- br chrpath
- new version 3.1.90

* Tue Jul 19 2011 wally <wally> 3.0.0.1-4.mga2
+ Revision: 126705
- drop unneeded post and preun scripts
- clean .spec

* Fri Jul 08 2011 cjw <cjw> 3.0.0.1-3.mga2
+ Revision: 120004
- put gobject introspection typelib in a separate package
- rebuild to add automatic typelib deps and provides

* Wed Jun 08 2011 dmorgan <dmorgan> 3.0.0.1-2.mga2
+ Revision: 101709
- Fix file list
- Fix file list
- Fix file list
- Fix file list
- New version 3.0.0.1
  Sync with fedora

* Wed Jan 19 2011 blino <blino> 2.32.0-2.mga1
+ Revision: 24839
- remove old conflicts and obsoletes
- remove old ldconfig scriptlets
- imported package libgnomekbd


* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581606
- update to new version 2.32.0

* Sat Sep 18 2010 Götz Waschk <waschk@mandriva.org> 2.31.92-1mdv2011.0
+ Revision: 579344
- update to new version 2.31.92

* Fri Aug 20 2010 Götz Waschk <waschk@mandriva.org> 2.31.5-2mdv2011.0
+ Revision: 571507
- move ui files to common package (bug #60721)

* Fri Jul 30 2010 Götz Waschk <waschk@mandriva.org> 2.31.5-1mdv2011.0
+ Revision: 563579
- new version

* Wed Jun 23 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.2-1mdv2010.1
+ Revision: 548661
- Release 2.30.2
- Remove patch0 (merged upstream)

* Mon Jun 21 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.1-5mdv2010.1
+ Revision: 548386
- Update patch0 with fix for GNOME bug #618709

* Thu May 06 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.1-4mdv2010.1
+ Revision: 542876
- Patch0 (GIT): various bug fixes (including GNOME bug #617643)

* Wed Apr 28 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.1-3mdv2010.1
+ Revision: 540436
- Remove libglade2 BR

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 2.30.1-2mdv2010.1
+ Revision: 540033
- rebuild so that shared libraries are properly stripped again

* Sat Apr 24 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 538425
- new version
- drop patch

* Mon Apr 12 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-2mdv2010.1
+ Revision: 533676
- fix default value in schema (bug #58466)

* Mon Mar 29 2010 Funda Wang <fwang@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528710
- update to new version 2.30.0

* Tue Mar 09 2010 Götz Waschk <waschk@mandriva.org> 2.29.92-1mdv2010.1
+ Revision: 516896
- update to new version 2.29.92

* Mon Jan 11 2010 Götz Waschk <waschk@mandriva.org> 2.29.5-1mdv2010.1
+ Revision: 489618
- update to new version 2.29.5

* Sun Dec 13 2009 Götz Waschk <waschk@mandriva.org> 2.28.2-1mdv2010.1
+ Revision: 478178
- update to new version 2.28.2

* Wed Sep 23 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 447634
- update to new version 2.28.0

* Wed Aug 26 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-1mdv2010.0
+ Revision: 421335
- update to new version 2.27.91

* Wed Jul 15 2009 Götz Waschk <waschk@mandriva.org> 2.27.4-1mdv2010.0
+ Revision: 396228
- new version
- drop patch

* Mon Jun 29 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-3mdv2010.0
+ Revision: 390540
- update for new libxklavier
- new major

* Mon May 25 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-1mdv2010.0
+ Revision: 379508
- update to new version 2.27.2

* Sat Mar 14 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 354971
- update to new version 2.26.0

* Fri Feb 20 2009 Götz Waschk <waschk@mandriva.org> 2.25.91-1mdv2009.1
+ Revision: 343196
- update to new version 2.25.91

* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 287256
- new version
- update build deps

* Thu Sep 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 280233
- new version
- drop patch

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.2-1mdv2009.0
+ Revision: 231002
- new version
- update license
- fix linking

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Mar 19 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 188800
- new version
- update file list

* Thu Jan 31 2008 Götz Waschk <waschk@mandriva.org> 2.21.4.1-2mdv2008.1
+ Revision: 160686
- rebuild for new libxklavier

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Götz Waschk <waschk@mandriva.org> 2.21.4.1-1mdv2008.1
+ Revision: 132037
- new version
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 25 2007 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 102206
- new version
- new major

* Mon Oct 01 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-2mdv2008.0
+ Revision: 94124
- Add conflicts to ease upgrade from  2007.0

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89048
- new version

* Sun Aug 26 2007 Götz Waschk <waschk@mandriva.org> 2.19.91-1mdv2008.0
+ Revision: 71593
- new version
- drop patch 1

* Mon Aug 20 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.90-2mdv2008.0
+ Revision: 67921
- Move schema and translation into a subpackage
- Patch1: fix various crashes (GNOME bugs #466301, 429907)

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 63477
- fix buildrequires
- new version
- fix build
- new devel name

* Sun May 20 2007 Götz Waschk <waschk@mandriva.org> 2.18.2-1mdv2008.0
+ Revision: 28935
- new version

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2008.0
+ Revision: 13831
- new version


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 141620
- new version

* Thu Mar 01 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 130284
- new version
- add icon

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-3mdv2007.1
+ Revision: 89272
- bot rebuild
- rebuild

* Wed Nov 08 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2007.1
+ Revision: 78052
- fix desktop entry
- fix buildrequires
- Import libgnomekbd

* Wed Nov 08 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2007.1
- initial package

